import{s as Et,n as Ht,o as kt}from"../chunks/scheduler.d6170356.js";import{S as bt,i as Ft,g as s,s as a,r as u,A as Mt,h as o,f as n,c as l,j as wt,u as c,x as r,k as _t,y as It,a as i,v as p,d as m,t as g,w as h}from"../chunks/index.fcd4cc08.js";import{C as ot}from"../chunks/CodeBlock.7b16bdef.js";import{H as rt,E as Rt}from"../chunks/EditOnGithub.da2b595c.js";function Lt(ft){let f,U,P,G,d,V,$,ut="To access private or gated datasets, you need to configure your Hugging Face Token in the DuckDB Secrets Manager.",D,T,ct='Visit <a href="https://huggingface.co/settings/tokens" rel="nofollow">Hugging Face Settings - Tokens</a> to obtain your access token.',S,v,pt="DuckDB supports two providers for managing secrets:",j,C,mt="<li><code>CONFIG</code>: Requires the user to pass all configuration information into the CREATE SECRET statement.</li> <li><code>CREDENTIAL_CHAIN</code>: Automatically tries to fetch credentials. For the Hugging Face token, it will try to get it from  <code>~/.cache/huggingface/token</code>.</li>",Z,x,gt='For more information about DuckDB Secrets visit the <a href="https://duckdb.org/docs/configuration/secrets_manager.html" rel="nofollow">Secrets Manager</a> guide.',Q,w,O,_,ht="To create a secret using the CONFIG provider, use the following command:",W,E,q,H,dt="Replace <code>your_hf_token</code> with your actual Hugging Face token.",B,k,Y,b,$t="To create a secret using the CREDENTIAL_CHAIN provider, use the following command:",z,F,K,M,Tt="This command automatically retrieves the stored token from <code>~/.cache/huggingface/token</code>.",X,I,vt='First you need to <a href="../huggingface_hub/quick-start#login">Login with your Hugging Face account</a>, for example using:',tt,R,et,L,Ct="Alternatively, you can set your Hugging Face token as an environment variable:",nt,A,it,y,xt='For more information on authentication, see the <a href="https://huggingface.co/docs/huggingface_hub/main/en/quick-start#authentication" rel="nofollow">Hugging Face authentication</a> documentation.',at,J,lt,N,st;return d=new rt({props:{title:"Authentication for private and gated datasets",local:"authentication-for-private-and-gated-datasets",headingTag:"h1"}}),w=new rt({props:{title:"Creating a secret with CONFIG provider",local:"creating-a-secret-with-config-provider",headingTag:"h2"}}),E=new ot({props:{code:"Q1JFQVRFJTIwU0VDUkVUJTIwaGZfdG9rZW4lMjAoVFlQRSUyMEhVR0dJTkdGQUNFJTJDJTIwVE9LRU4lMjAneW91cl9oZl90b2tlbicpJTNC",highlighted:'CREATE SECRET hf_token (TYPE HUGGINGFACE, TOKEN <span class="hljs-string">&#x27;your_hf_token&#x27;</span>);',wrap:!1}}),k=new rt({props:{title:"Creating a secret with CREDENTIAL_CHAIN provider",local:"creating-a-secret-with-credentialchain-provider",headingTag:"h2"}}),F=new ot({props:{code:"Q1JFQVRFJTIwU0VDUkVUJTIwaGZfdG9rZW4lMjAoVFlQRSUyMEhVR0dJTkdGQUNFJTJDJTIwUFJPVklERVIlMjBjcmVkZW50aWFsX2NoYWluKSUzQg==",highlighted:"CREATE SECRET hf_token (TYPE HUGGINGFACE, PROVIDER credential_chain);",wrap:!1}}),R=new ot({props:{code:"aHVnZ2luZ2ZhY2UtY2xpJTIwbG9naW4=",highlighted:"huggingface-cli login",wrap:!1}}),A=new ot({props:{code:"ZXhwb3J0JTIwSEZfVE9LRU4lM0QlMjJoZl94eHh4eHh4eHh4eHh4JTIy",highlighted:'<span class="hljs-built_in">export</span> HF_TOKEN=<span class="hljs-string">&quot;hf_xxxxxxxxxxxxx&quot;</span>',wrap:!1}}),J=new Rt({props:{source:"https://github.com/huggingface/hub-docs/blob/main/docs/hub/datasets-duckdb-auth.md"}}),{c(){f=s("meta"),U=a(),P=s("p"),G=a(),u(d.$$.fragment),V=a(),$=s("p"),$.textContent=ut,D=a(),T=s("p"),T.innerHTML=ct,S=a(),v=s("p"),v.textContent=pt,j=a(),C=s("ul"),C.innerHTML=mt,Z=a(),x=s("p"),x.innerHTML=gt,Q=a(),u(w.$$.fragment),O=a(),_=s("p"),_.textContent=ht,W=a(),u(E.$$.fragment),q=a(),H=s("p"),H.innerHTML=dt,B=a(),u(k.$$.fragment),Y=a(),b=s("p"),b.textContent=$t,z=a(),u(F.$$.fragment),K=a(),M=s("p"),M.innerHTML=Tt,X=a(),I=s("p"),I.innerHTML=vt,tt=a(),u(R.$$.fragment),et=a(),L=s("p"),L.textContent=Ct,nt=a(),u(A.$$.fragment),it=a(),y=s("p"),y.innerHTML=xt,at=a(),u(J.$$.fragment),lt=a(),N=s("p"),this.h()},l(t){const e=Mt("svelte-u9bgzb",document.head);f=o(e,"META",{name:!0,content:!0}),e.forEach(n),U=l(t),P=o(t,"P",{}),wt(P).forEach(n),G=l(t),c(d.$$.fragment,t),V=l(t),$=o(t,"P",{"data-svelte-h":!0}),r($)!=="svelte-u0d9f4"&&($.textContent=ut),D=l(t),T=o(t,"P",{"data-svelte-h":!0}),r(T)!=="svelte-nb8ngs"&&(T.innerHTML=ct),S=l(t),v=o(t,"P",{"data-svelte-h":!0}),r(v)!=="svelte-lbeadn"&&(v.textContent=pt),j=l(t),C=o(t,"UL",{"data-svelte-h":!0}),r(C)!=="svelte-93ameb"&&(C.innerHTML=mt),Z=l(t),x=o(t,"P",{"data-svelte-h":!0}),r(x)!=="svelte-n2jdl8"&&(x.innerHTML=gt),Q=l(t),c(w.$$.fragment,t),O=l(t),_=o(t,"P",{"data-svelte-h":!0}),r(_)!=="svelte-ui0sfw"&&(_.textContent=ht),W=l(t),c(E.$$.fragment,t),q=l(t),H=o(t,"P",{"data-svelte-h":!0}),r(H)!=="svelte-1fu59tz"&&(H.innerHTML=dt),B=l(t),c(k.$$.fragment,t),Y=l(t),b=o(t,"P",{"data-svelte-h":!0}),r(b)!=="svelte-1wheov5"&&(b.textContent=$t),z=l(t),c(F.$$.fragment,t),K=l(t),M=o(t,"P",{"data-svelte-h":!0}),r(M)!=="svelte-hxvm4h"&&(M.innerHTML=Tt),X=l(t),I=o(t,"P",{"data-svelte-h":!0}),r(I)!=="svelte-1hbzj8b"&&(I.innerHTML=vt),tt=l(t),c(R.$$.fragment,t),et=l(t),L=o(t,"P",{"data-svelte-h":!0}),r(L)!=="svelte-1x80lt3"&&(L.textContent=Ct),nt=l(t),c(A.$$.fragment,t),it=l(t),y=o(t,"P",{"data-svelte-h":!0}),r(y)!=="svelte-4u9c9g"&&(y.innerHTML=xt),at=l(t),c(J.$$.fragment,t),lt=l(t),N=o(t,"P",{}),wt(N).forEach(n),this.h()},h(){_t(f,"name","hf:doc:metadata"),_t(f,"content",At)},m(t,e){It(document.head,f),i(t,U,e),i(t,P,e),i(t,G,e),p(d,t,e),i(t,V,e),i(t,$,e),i(t,D,e),i(t,T,e),i(t,S,e),i(t,v,e),i(t,j,e),i(t,C,e),i(t,Z,e),i(t,x,e),i(t,Q,e),p(w,t,e),i(t,O,e),i(t,_,e),i(t,W,e),p(E,t,e),i(t,q,e),i(t,H,e),i(t,B,e),p(k,t,e),i(t,Y,e),i(t,b,e),i(t,z,e),p(F,t,e),i(t,K,e),i(t,M,e),i(t,X,e),i(t,I,e),i(t,tt,e),p(R,t,e),i(t,et,e),i(t,L,e),i(t,nt,e),p(A,t,e),i(t,it,e),i(t,y,e),i(t,at,e),p(J,t,e),i(t,lt,e),i(t,N,e),st=!0},p:Ht,i(t){st||(m(d.$$.fragment,t),m(w.$$.fragment,t),m(E.$$.fragment,t),m(k.$$.fragment,t),m(F.$$.fragment,t),m(R.$$.fragment,t),m(A.$$.fragment,t),m(J.$$.fragment,t),st=!0)},o(t){g(d.$$.fragment,t),g(w.$$.fragment,t),g(E.$$.fragment,t),g(k.$$.fragment,t),g(F.$$.fragment,t),g(R.$$.fragment,t),g(A.$$.fragment,t),g(J.$$.fragment,t),st=!1},d(t){t&&(n(U),n(P),n(G),n(V),n($),n(D),n(T),n(S),n(v),n(j),n(C),n(Z),n(x),n(Q),n(O),n(_),n(W),n(q),n(H),n(B),n(Y),n(b),n(z),n(K),n(M),n(X),n(I),n(tt),n(et),n(L),n(nt),n(it),n(y),n(at),n(lt),n(N)),n(f),h(d,t),h(w,t),h(E,t),h(k,t),h(F,t),h(R,t),h(A,t),h(J,t)}}}const At='{"title":"Authentication for private and gated datasets","local":"authentication-for-private-and-gated-datasets","sections":[{"title":"Creating a secret with CONFIG provider","local":"creating-a-secret-with-config-provider","sections":[],"depth":2},{"title":"Creating a secret with CREDENTIAL_CHAIN provider","local":"creating-a-secret-with-credentialchain-provider","sections":[],"depth":2}],"depth":1}';function yt(ft){return kt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Gt extends bt{constructor(f){super(),Ft(this,f,yt,Lt,Et,{})}}export{Gt as component};
